# HydroMechanics; Small deformations, linear poroelastic (HML)

### With monolithic scheme
if (NOT OGS_USE_MPI)
    NotebookTest(NOTEBOOKFILE HydroMechanics/StaggeredScheme/MandelCryer/mandelcryer.py
                 RUNTIME 25)
    OgsTest(PROJECTFILE HydroMechanics/A2/A2.prj RUNTIME 10)
    OgsTest(PROJECTFILE HydroMechanics/AnchorSourceTerm/one_anchor.prj RUNTIME 5)
    OgsTest(PROJECTFILE HydroMechanics/AnchorSourceTerm/one_anchor_cube.prj RUNTIME 5)
    OgsTest(PROJECTFILE HydroMechanics/AnchorSourceTerm/two_anchors.prj RUNTIME 5)
    OgsTest(PROJECTFILE HydroMechanics/DiskDomainExcavationInTimeInterval/excavation.prj RUNTIME 10)
    OgsTest(PROJECTFILE HydroMechanics/EmbeddedFracturePermeability/cube.prj)
    OgsTest(PROJECTFILE HydroMechanics/EmbeddedFracturePermeability/square.prj)
    OgsTest(PROJECTFILE HydroMechanics/ExcavationNiches/excavation_niches.prj RUNTIME 60)
    OgsTest(PROJECTFILE HydroMechanics/FailureIndexDependentPermeability/quad_with_half_hole.prj)
    OgsTest(PROJECTFILE HydroMechanics/GroundEquilibrium/simHM_ground.prj)
    OgsTest(PROJECTFILE HydroMechanics/GroundEquilibrium/simHM_ground_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/GroundEquilibrium/simHM_ground_quadBCu.prj)
    OgsTest(PROJECTFILE HydroMechanics/GroundEquilibrium/simHM_ground_quadBCu_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/HydraulicDeactivation/simHM_deactivate_H.prj)
    OgsTest(PROJECTFILE HydroMechanics/IdealGas/flow_free_expansion/flow_free_expansion.prj)
    OgsTest(PROJECTFILE HydroMechanics/IdealGas/flow_no_strain/flow_no_strain.prj RUNTIME 40)
    OgsTest(PROJECTFILE HydroMechanics/IdealGas/flow_pressure_boundary/flow_pressure_boundary.prj)
    OgsTest(PROJECTFILE HydroMechanics/IdealGas/flow_pressure_boundary/flow_pressure_boundary_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Confined_Compression/cube_1e3.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Confined_Compression/square_1e2.prj RUNTIME 9)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Confined_Compression/square_1e2_quad9.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Confined_Compression/square_1e2_tri.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/DrainageEexcavation/HMdrainage.prj RUNTIME 330)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Gravity/RotatedAroundVerticalAxis/flow_gravity.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Gravity/flow_gravity.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Unconfined_Compression_early/square_1e2_UC_early.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Unconfined_Compression_early/square_1e2_UC_early_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/Linear/Unconfined_Compression_late/square_1e2_UC_late.prj)
    OgsTest(PROJECTFILE HydroMechanics/NodalSourceTerm/nodal_source_test.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/disc_with_hole_anisotropic.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/disc_with_hole_anisotropic_rotated.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/disc_with_hole_quasiisotropic.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/unconfined_biot.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/x_strain_y_flow.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/y_strain_z_flow.prj)
    OgsTest(PROJECTFILE HydroMechanics/OrthotropicEmbeddedFracturePermeability/z_strain_x_flow.prj)
    OgsTest(PROJECTFILE HydroMechanics/Principal_Stress/Hollow_Sphere/sphere.prj RUNTIME 7)
    OgsTest(PROJECTFILE HydroMechanics/Principal_Stress/Tube/tube.prj)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/ConsolidationBenchmark/consolidation_benchmark.prj RUNTIME 2)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/ConsolidationBenchmark/consolidation_benchmark_mono.prj RUNTIME 1)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1D.prj)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1DMono.prj)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1DMono_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1DMono_python_Neumann.prj)
    if (OGS_USE_MFRONT)
        OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1D_MFront.prj)
    endif()
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/InjectionProduction1D/InjectionProduction1D_python.prj)
    OgsTest(PROJECTFILE HydroMechanics/StaggeredScheme/MandelCryer/MandelCryerStaggered.prj RUNTIME 35)
    OgsTest(PROJECTFILE HydroMechanics/StrainDependentPermeability/gas_loading.prj RUNTIME 21)
    OgsTest(PROJECTFILE HydroMechanics/TotalInitialStress/total_initial_stress_HM.prj RUNTIME 1)
    OgsTest(PROJECTFILE HydroMechanics/TotalInitialStress/total_initial_stress_HM_staggered.xml RUNTIME 1)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm1_1Dbeam.prj)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm1_2Dsquare.prj)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm1_3Dcube.prj)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm1_3Dgravity.prj)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_1D1bt.prj RUNTIME 18)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_1D2bt.prj RUNTIME 38)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_1Dbiot.prj RUNTIME 9)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_1Dcolumn1.prj RUNTIME 28)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_1Dcolumn2.prj RUNTIME 9)
    OgsTest(PROJECTFILE HydroMechanics/Verification/hm2_2Dmandel.prj RUNTIME 166)
    if(NOT ENABLE_ASAN)
        OgsTest(PROJECTFILE HydroMechanics/Linear/Confined_Compression/square_1e2_linear.prj RUNTIME 2)
        OgsTest(PROJECTFILE HydroMechanics/ExcavationNiches/excavation_niches2.prj RUNTIME 4)
    endif()
    if(NOT WIN32)
        NotebookTest(NOTEBOOKFILE HydroMechanics/SeabedResponse/Stationary_waves.py RUNTIME 65)
    endif()
endif()

if (OGS_USE_MPI)
    OgsTest(PROJECTFILE HydroMechanics/ParallelComputing/SimpleHM/MultiMesh/drainage.prj WRAPPER mpirun -np 2)
    OgsTest(PROJECTFILE HydroMechanics/ParallelComputing/SimpleHM/MultiMesh/drainage_staggered.prj WRAPPER mpirun -np 2)
    OgsTest(PROJECTFILE HydroMechanics/ParallelComputing/SimpleHM/SingleMesh/drainage.prj WRAPPER mpirun -np 2)
    OgsTest(PROJECTFILE HydroMechanics/ParallelComputing/SimpleHM/SingleMesh/drainage_staggered.prj WRAPPER mpirun -np 2)
endif()
